"""Demonstrate indexing with strings, lists, tuples, and ranges."""


def main():
    print('\nString example:')
    vowels = 'aeiou'
    print(vowels)
    print(f'A slice containing all vowels is {vowels[:]}.')

    print('\nList example:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(states)
    print(f'A slice containing the first two states is {states[:2]}.')

    print('\nTuple example:')
    birds = ('dove', "oriole", "finch")
    print(birds)
    print(f'A slice containing the last two birds is {birds[-2:]}.')

    print('\nRange example:')
    values = range(5)
    print(values)
    print(f'A slice containing only the second value is {values[1:2]}.')
    print(f'Expressed as a list, a slice containing only the second value is {list(values[1:2])}.')


main()

