"""Demonstrate indexing with strings, lists, tuples, and ranges."""


def main():
    print('\nString example:')
    vowels = 'aeiou'
    print(vowels)
    print(f'A slice of vowels using -1 for step: {vowels[::-1]}.')

    print('\nList example:')
    states = ['Illinois', "Wisconsin", "Iowa"]
    print(states)
    print(f'A slice of states using 2 for step: {states[::2]}.')

    # print('\nTuple example:')
    birds = ('dove', "oriole", "finch")
    print(birds)
    print(f'A slice of birds using -2 for step: {birds[::-2]}.')

    print('\nRange example:')
    values = range(5)
    print(values)
    print(f'A slice of values using -1 for step: {values[::-1]}.')


main()

